Bug 437865 - [RHEL 4.6] bonding 802.3ad does not work
[RHEL 4.6] bonding 802.3ad does not work
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
All Linux
high Severity high
: rc
: ---
Assigned To: Michal Schmidt
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 15:55 EDT by Vince Worthington
Modified: 2010-10-22 19:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch confirmed by customer to solve problem (1.20 KB, patch)
2008-03-17 16:01 EDT, Vince Worthington
no flags Details | Diff
patch confirmed by customer to solve the problem (1.27 KB, text/x-patch)
2008-03-17 17:05 EDT, Vince Worthington
no flags Details

  None (edit)
Description Vince Worthington 2008-03-17 15:55:02 EDT
+++ This bug was initially created as a clone of Bug #251902 +++

(Problem and symptoms are same for RHEL4.6 as in RHEL5)

Description of problem:
When setting up a 802.3ad bonding connection, I cannot see my partner.

Version-Release number of selected component (if applicable):


How reproducible:
/etc/modprobe.conf:
alias bond0 bonding
options bond0 miimon=100 mode=802.3ad

On our 3com switch, I have enabled LACP for the relevant ports, but i do not see
any partner in /proc/net/bonding/bond0

Solution:

The bug is fixed in 2.6.22:
bonding: Fix 802.3ad no carrier on "no partner found" instance

-- Additional comment from dnehring@gmx.net on 2007-08-13 07:45 EST --
I test 2.6.22 successfully. Here is the extracted fix:

http://www.mail-archive.com/netdev@vger.kernel.org/msg40353.html

-- Additional comment from agospoda@redhat.com on 2007-09-13 11:14 EST --
Interesting.  We will include this fix in an upcoming update.  Feel free to test
any of the kernels here:

http://people.redhat.com/agospoda/#rhel5

for a preview of what will be included in our upcoming update.  The patch
mentioned in comment #1 is not included, but many other updates are.


-- Additional comment from agospoda@redhat.com on 2007-10-30 11:34 EST --
seems doable for 5.2

-- Additional comment from pm-rhel@redhat.com on 2007-10-30 11:35 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

-- Additional comment from dnehring@gmx.net on 2007-10-30 15:08 EST --
Trunking is a very helpful feature and easy to apply. When you will add a
iscsi-target to the new release, I think it is more than necessary. We use
currently a self-compiled kernel since months with 802.3ad support enabled.

-- Additional comment from agospoda@redhat.com on 2007-11-20 09:08 EST --
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel5

Please test them and report back your results.

-- Additional comment from dnehring@gmx.net on 2007-11-28 12:12 EST --
I just verified the new kernel, 802.3ad (link aggregation) works now. Verified 
with 3com gbit switch.

-- Additional comment from agospoda@redhat.com on 2007-11-28 14:03 EST --
Great\!  Thanks for the feedback\!

-- Additional comment from agospoda@redhat.com on 2007-12-14 09:15 EST --
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel5

Please test them and report back your results.

-- Additional comment from dnehring@gmx.net on 2007-12-14 09:25 EST --
Hmmh, the last version works, I see no need to test it again. Perhaps anyone 
other will test it?

-- Additional comment from agospoda@redhat.com on 2007-12-14 10:21 EST --
I'm glad to hear the last set of kernels worked.  I added a few more patches to
this set to correct a few sysfs problems as well as problems that occurred when
bringing the interface down.  If you can manage putting it on one of your
systems to make sure these are no worse than the last ones I would appreciate it.

-- Additional comment from agospoda@redhat.com on 2007-12-19 10:34 EST --
posted to rhkl:

http://post-office.corp.redhat.com/archives/rhkernel-list/2007-December/msg00980.html

-- Additional comment from mjenner@redhat.com on 2007-12-20 11:49 EST --
QE ack for RHEL 5.2

-- Additional comment from dzickus@redhat.com on 2007-12-21 15:17 EST --
in 2.6.18-62.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

-- Additional comment from dnehring@gmx.net on 2007-12-28 09:09 EST --
We just tested kernel-2.6.18-62.el5.i686.rpm. We confirm that it works with 
802.3ad. You can close the case.

-- Additional comment from agospoda@redhat.com on 2008-01-30 13:20 EST --
*** Bug 241719 has been marked as a duplicate of this bug. ***

-- Additional comment from tao@redhat.com on 2008-02-05 03:59 EST --
Hello Kirill-san,

Our customer has tested the kernel(kernel-2.6.18-75.el5.gtest.37.i686.rpm)
and reported to us that the problem was resolved with it.

Best Regards,
M Oshiro

Internal Status set to 'Waiting on Engineering'

This event sent from IssueTracker by moshiro@redhat.com 
 issue 136966

-- Additional comment from agospoda@redhat.com on 2008-03-10 13:25 EST --
*** Bug 435249 has been marked as a duplicate of this bug. ***

-- Additional comment from dnehring@gmx.net on 2008-03-10 13:44 EST --
Is this fix now accepted for the next kernel release?

Regards,

Dirk Nehring

-- Additional comment from agospoda@redhat.com on 2008-03-10 13:54 EST --
yes it will be in the next update
Comment 2 Vince Worthington 2008-03-17 16:01:07 EDT
Created attachment 298300 [details]
patch confirmed by customer to solve problem
Comment 5 Vince Worthington 2008-03-17 17:05:03 EDT
Created attachment 298306 [details]
patch confirmed by customer to solve the problem
Comment 6 Vivek Goyal 2008-03-25 17:05:24 EDT
Committed in 68.25. Released in 68.26. RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 9 errata-xmlrpc 2008-07-24 15:27:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html
Comment 11 Jiri Pirko 2009-05-11 10:11:14 EDT
*** Bug 498480 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.